<?php

  if( $Debug == 1 ){
    echo "Add Tienda";
  }

  $FechaHoy       = date('Y-m-d H:i:s');

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $usr_clave      = $decoded['usr_clave'];
  $nombre         = $decoded['nombre'];
  $calle          = $decoded['calle'];
  $num_ext        = $decoded['num_ext'];
  $num_int        = $decoded['num_int'];
  $colonia        = $decoded['colonia'];
  $municipio      = $decoded['municipio'];
  $estado         = $decoded['estado'];
  $pais           = $decoded['pais'];
  $codigopostal   = $decoded['codigopostal'];
  $lat            = $decoded['latitud'];
  $lng            = $decoded['longitud'];

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $usr_id."\n";
    echo $nombre."\n";
    echo $calle."\n";
    echo $num_ext."\n";
    echo $num_int."\n";
    echo $colonia."\n";
    echo $municipio."\n";
    echo $estado."\n";
    echo $pais."\n";
    echo $codigopostal."\n";
    echo $lat."\n";
    echo $lng."\n";

  }

  if( $usr_id && $codigopostal && $nombre && $lat && $lng ){

    //Inserta Tienda
    $Query = "
      INSERT INTO tiendas
      (
        nombre,
        fk_pais, fk_estado, fk_municipio,
        codigo_postal, colonia,
        calle, no_exterior, no_interior,
        lat, lng
      )
      VALUES (
        '$nombre',
        '$pais', '$estado', '$municipio',
        '$codigopostal', '$colonia',
        '$calle', '$num_ext', '$num_int',
        '$lat', '$lng'
      )
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Id = mysqli_insert_id($mysqli);
    //End Inserta Usuario

    if( $Id ){
      //Inserta Tienda a Usuario
      $Query = "
        INSERT INTO usuarios_tiendas
        (
          fk_usuario, fk_tienda
        )
        VALUES (
          '$usr_id', '$Id'
        )
      ";
      $Result = mysqli_query($mysqli, $Query);
      //End Inserta Tienda a Usuario
    }

    if( $Id ){ $Done = '1'; }

    if( $Done == '1' ){

      $Data = array(
        'action'    => 'ok',
        'id_tienda'   => "$Id"
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }else{

      //Error ua-1 ( No se guardo en la BD )
      $Query = "
        SELECT
          err.Id, err.error, err.msn
        FROM api_errores err
        WHERE err.error = 'ta-1'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Error = mysqli_fetch_assoc($Result);

      $Data = array(
        'action'      => 'error',
        'error'       => $Error[error],
        'error_msn'   => $Error[msn]
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }else{

    $Data = array(
      'action' => 'error'
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }

?>
